summaryrefslogtreecommitdiff
path: root/contrib/run-script-casc25-tfa
diff options
context:
space:
mode:
authorajreynol <andrew.j.reynolds@gmail.com>2015-07-01 18:42:43 +0200
committerajreynol <andrew.j.reynolds@gmail.com>2015-07-01 18:43:31 +0200
commitd475d255f3c61380524517cd9b97725dcb0c9c22 (patch)
tree399550b70a8322739d903285724bcc5c0a1fc9e5 /contrib/run-script-casc25-tfa
parent6b553f3ee59749f74475ee5c88b06ac04c16b3c6 (diff)
Add options --qcf-all-conflict, --ite-dtt-split-quant, refactor --ite-lift-quant. Minor bug fixes for internalReps, alpha equivalence. Update casc 25 FOF script.
Diffstat (limited to 'contrib/run-script-casc25-tfa')
-rw-r--r--contrib/run-script-casc25-tfa40
1 files changed, 40 insertions, 0 deletions
diff --git a/contrib/run-script-casc25-tfa b/contrib/run-script-casc25-tfa
new file mode 100644
index 000000000..463b5396e
--- /dev/null
+++ b/contrib/run-script-casc25-tfa
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+cvc4=./cvc4
+bench="$1"
+
+file=${bench##*/}
+filename=${file%.*}
+
+echo "------- cvc4-tfa casc 25 : $bench at $2..."
+
+# use: trywith [params..]
+# to attempt a run. If an SZS ontology result is printed, then
+# the run script terminates immediately. Otherwise, this
+# function returns normally.
+function trywith {
+ limit=$1; shift;
+ echo "--- Run $@ at $limit...";
+ (ulimit -S -t "$limit";$cvc4 --lang=tptp --no-checking --no-interactive --force-logic="UFNIRA" --dump-instantiations --inst-format=szs --force-no-limit-cpu-while-dump "$@" $bench) 2>/dev/null |
+ (read w1 w2 w3 result w4 w5;
+ case "$result" in
+ Unsatisfiable) echo "$w1 $w2 $w3 $result $w4 $w5";cat;exit 0;;
+ Theorem) echo "$w1 $w2 $w3 $result $w4 $w5";cat;exit 0;;
+ esac; exit 1)
+ if [ ${PIPESTATUS[1]} -eq 0 ]; then exit 0; fi
+}
+function finishwith {
+ echo "--- Run $@...";
+ $cvc4 --lang=tptp --no-checking --no-interactive --force-logic="UFNIRA" --dump-instantiations --inst-format=szs --force-no-limit-cpu-while-dump "$@" $bench
+}
+
+trywith 10 --cbqi2 --decision=internal --full-saturate-quant
+trywith 10 --relevant-triggers --full-saturate-quant
+trywith 10 --cbqi --full-saturate-quant
+trywith 30 --qcf-tconstraint --full-saturate-quant
+trywith 60 --cbqi --cbqi-recurse --full-saturate-quant
+trywith 10 --full-saturate-quant
+trywith 10 --no-e-matching --full-saturate-quant
+trywith 10 --fmf-bound-int
+finishwith --cbqi2 --cbqi-recurse --full-saturate-quant
+# echo "% SZS status" "GaveUp for $filename"
generated by cgit on debian on lair
contact matthew@masot.net with questions or feedback